use strict;
use warnings;

use ExtUtils::MakeMaker;

WriteMakefile(
    NAME              => 'App::i2dir',
    VERSION_FROM      => 'bin/i2dir.pl',
    PREREQ_PM         => {
      'Capture::Tiny'  => 0.48,
      'Tk'             => 0,
      'Tk::FileSelect' => 0,
      'Tk::DialogBox'  => 0
    },
    AUTHOR            => 'krzysckh <kpm@linux.pl>',
    LICENSE           => 'bsd',
    dist  => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
    EXE_FILES => [ 'bin/i2dir.pl' ],
);

sub MY::postamble {
  return <<'_'
win: bin/i2dir.pl
	wine ~/.wine/drive_c/Strawberry/perl/site/bin/pp.bat -o i2dir.exe \
    bin/i2dir.pl -B -c --gui
_
}
